For the complete documentation index, see llms.txt. This page is also available as Markdown.

Organizations

API for managing child organizations of a channel partner

/orgs

post

Registers a new child organization under the channel partner. Creates the organization, sets up user memberships, and establishes the partnership relationship.

Path parameters
partner_org_idstring · uuidRequired
Body
namestringRequired
labra_subscription_idstringOptional
domainstring · nullableOptional
aws_marketplace_offer_linkstring · nullableOptional
azure_marketplace_offer_linkstring · nullableOptional
gcp_marketplace_offer_linkstring · nullableOptional
Responses
200

OK

application/json
idstringRead-onlyRequired
namestringRead-onlyRequired
domainstring · nullableRead-onlyOptional
aws_marketplace_offer_linkstring · nullableRead-onlyOptional
azure_marketplace_offer_linkstring · nullableRead-onlyOptional
gcp_marketplace_offer_linkstring · nullableRead-onlyOptional
post/v2/partners/{partner_org_id}/orgs

/orgs/{child_org_id}/invites

post

Invites users to the channel partner organization. Sends email invitations to the specified user emails with roles of user, admin, support, cloud_rep, restricted_user.

Path parameters
partner_org_idstring · uuidRequired
child_org_idstring · uuidRequired
Body
Responses
200

OK

application/json
rolestring · enumRead-onlyOptionalPossible values:
usernamestring · email · max: 255Read-onlyOptional
post/v2/partners/{partner_org_id}/orgs/{child_org_id}/invites

Last updated

Was this helpful?